English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The HttpTransport Class

#### Experimental!

ProtoRPC is an experimental, innovative, and rapidly changing new feature for App Engine. Unfortunately, being on the bleeding edge means that we may make backwards-incompatible changes to ProtoRPC. We will inform the community when this feature is no longer experimental.

The HttpTransport class provides a transport for communicating with HTTP servers.

`HttpTransport` is provided by the `protorpc.transport` module.

## Constructor

class HttpTransport (service_url, protocol=protobuf)

  Instantiates an HttpTransport object.

  Arguments:

  service_url
    The URL where the service is located. All communication via the transport will go to methods under this URL.
  protocol
    The protocol implementation. Must implement `encode_message()` and `decode_message()`, which are available in outside other protocols, such as `protorpc.protojson`, `protorpc.protobuf`, and `protorpc.protojson`.